cURL
curl --request POST \
--url https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"destination": {
"amount": "<string>",
"min_amount": "<string>"
},
"id": "<string>",
"market_rate": "<string>",
"source": {
"amount": "<string>",
"account_id": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"fee": {
"flat_fee": "<string>",
"percentage_fee": "<string>"
},
"fiat_transfer_instructions": {
"ars_transfers_3_0_transfer_instructions": {
"account_number": "<string>",
"allowed_tax_id": "<string>"
},
"brl_pix_transfer_instructions": {
"pix_code": "<string>"
},
"cop_pse_transfer_instructions": {
"bank_account": "<string>",
"bank_code": "<string>",
"beneficiary_name": "<string>"
},
"mxn_spei_transfer_instructions": {
"beneficiary_name": "<string>",
"spei_clabe": "<string>",
"bank_name": "<string>",
"transfer_memo": "<string>"
},
"usd_ach_transfer_instructions": {
"account_number": "<string>",
"bank_name": "<string>",
"beneficiary_address": "<string>",
"beneficiary_name": "<string>",
"routing_number": "<string>",
"transfer_memo": "<string>"
},
"usd_fedwire_transfer_instructions": {
"account_number": "<string>",
"bank_name": "<string>",
"beneficiary_address": "<string>",
"beneficiary_name": "<string>",
"routing_number": "<string>",
"transfer_memo": "<string>"
}
}
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Withdrawals
Execute a Withdrawal
POST
/
withdrawals
/
quote
/
{id}
/
execute
cURL
curl --request POST \
--url https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://sandbox.onconsul.com/v1/withdrawals/quote/{id}/execute"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"destination": {
"amount": "<string>",
"min_amount": "<string>"
},
"id": "<string>",
"market_rate": "<string>",
"source": {
"amount": "<string>",
"account_id": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"fee": {
"flat_fee": "<string>",
"percentage_fee": "<string>"
},
"fiat_transfer_instructions": {
"ars_transfers_3_0_transfer_instructions": {
"account_number": "<string>",
"allowed_tax_id": "<string>"
},
"brl_pix_transfer_instructions": {
"pix_code": "<string>"
},
"cop_pse_transfer_instructions": {
"bank_account": "<string>",
"bank_code": "<string>",
"beneficiary_name": "<string>"
},
"mxn_spei_transfer_instructions": {
"beneficiary_name": "<string>",
"spei_clabe": "<string>",
"bank_name": "<string>",
"transfer_memo": "<string>"
},
"usd_ach_transfer_instructions": {
"account_number": "<string>",
"bank_name": "<string>",
"beneficiary_address": "<string>",
"beneficiary_name": "<string>",
"routing_number": "<string>",
"transfer_memo": "<string>"
},
"usd_fedwire_transfer_instructions": {
"account_number": "<string>",
"bank_name": "<string>",
"beneficiary_address": "<string>",
"beneficiary_name": "<string>",
"routing_number": "<string>",
"transfer_memo": "<string>"
}
}
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Lock in a previously created quote and initiate the
USDC-to-fiat transfer. The withdrawal is debited from
your Consul wallet immediately and arrives at the
destination bank account once the underlying rail
settles.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
queued, awaiting_transfer, processing, completed, failed, cancelled, expired, pending_claim Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

